Page MenuHomePhabricator

identifying information for a shape expression
Closed, ResolvedPublic8 Story Points

Description

As an editor I want to describe my Schema in order to make it easier to identify and understand by other editors.

Example:
O123: human / basic Schema for humans by wiki project Science / homo sapiens

BDD
GIVEN you are on a Schema page
AND you have permission to edit
THEN there should be a text box with the basic information (label, description, aliases) for the Schema in one language
AND an edit button to change the information leading to Special:SetSchemaLabelDescriptionAliases

Acceptance criteria:

  • There is a box at the top of each Schema page that shows identifying information for the current Schema in one language
  • Label/description/alias editing is removed from the ?action=edit page
  • Special:SetSchemaLabelDescriptionAliases uses automatically translated edit summaries
  • The main edit tab on the Schema page is removed
  • The Schema field has an edit button associated with it that leads to the ?action=edit page

Event Timeline

Tarrow created this task.Jan 23 2019, 8:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2019, 8:57 AM
Lydia_Pintscher renamed this task from Add description to shape expression to identifying information for a shape expression.Jan 29 2019, 8:46 AM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher updated the task description. (Show Details)
  • add some special page like Special:SetSchemaLabelDescriptionAliases
    • which uses automatic translatable summaries T214887
  • remove label/description/aliases fields from main edit page
NOTE: identifying information doesn’t need to uniquely identify a schema (i. e. it’s okay for more than one schema to have the same label/description)
  • add an “edit” link to Special:SetSchema… on the page
  • add an “edit“ link to ?action=edit on the page
  • remove main “edit” tab
  • multilingual information not part of this task (T215387) – neither editing nor viewing
Lucas_Werkmeister_WMDE set the point value for this task to 8.Feb 6 2019, 10:14 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptFeb 25 2019, 2:21 PM
Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 11 2019, 2:19 PM

Let’s call this overall task done, the only thing missing is subpage support and that only needs some peer review too.